GRID-CHANGE-PASS-(1)

NAME
grid-change-pass-phrase - Change the pass phrase of a private key

SYNOPSIS

grid-change-pass-phrase -help | -usage | -version | -versions

grid-change-pass-phrase [-file PRIVATE-KEY]

DESCRIPTION

The grid-change-pass-phrase program changes the pass phrase protecting a private key or PKCS12 bundle containing a private key and certificate. By default, grid-change-pass-phrase uses the X509_USER_KEY environment variable to locate the private key. If that is not set, then it looks for $HOME/.globus/userkey.pem and $HOME/.globus/usercred.p12 in succession. The path to a key can be specified by using the -file command-line option.

OPTIONS

The full set of command-line options to grid-change-pass-phrase are:

-help, -usage
    Display the command-line options to grid-change-pass-phrase and exit.

-version, -versions
    Display the version number of the grid-change-pass-phrase command. The second form includes more details.

-file PRIVATE-KEY
    Change the pass phrase of the private key named by PRIVATE-KEY instead of the default.

EXAMPLES

Change the pass phrase of the default private key:

    % grid-change-pass-phrase
    Enter pass phrase for /home/juser/.globus/userkey.pem:
    writing RSA key
    Enter PEM pass phrase: XXXXXXXX
    Verifying - Enter PEM pass phrase: XXXXXXXX

ENVIRONMENT

The following environment variables affect the execution of grid-change-pass-phrase:

X509_USER_KEY
    Path to the default private key file.

AUTHOR

Copyright © 1999-2014 University of Chicago